Bug 1274568 - Review Request: gap-pkg-semigroups - GAP methods for semigroups
Review Request: gap-pkg-semigroups - GAP methods for semigroups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 22:12 EDT by Jerry James
Modified: 2015-11-23 15:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:54:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2015-10-22 22:12:15 EDT
Spec URL: https://jjames.fedorapeople.org/gap-pkg-semigroups/gap-pkg-semigroups.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-semigroups/gap-pkg-semigroups-2.6-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: Semigroups is a GAP package containing methods for semigroups, monoids, and inverse semigroups, principally of transformations, partial permutations, bipartitions, subsemigroups of regular Rees 0-matrix semigroups, free inverse semigroups, free bands, and semigroups of matrices over finite fields.

Semigroups contains more efficient methods than those available in the GAP library (and in many cases more efficient than any other software) for creating  semigroups, monoids, and inverse semigroup, calculating their Green's structure, ideals, size, elements, group of units, small generating sets, testing membership, finding the inverses of a regular element, factorizing elements over the generators, and many more. It is also possible to test if a semigroup satisfies a particular property, such as if it is regular, simple, inverse, completely regular, and a variety of further properties.

There are methods for finding congruences of certain types of semigroups, the normalizer of a semigroup in a permutation group, the maximal subsemigroups of a finite semigroup, and smaller degree partial permutation representations of inverse semigroups. There are functions for producing pictures of the Green's structure of a semigroup, and for drawing bipartitions.
Comment 1 Sandro Mani 2015-11-13 18:03:26 EST
Approved with the following remarks:

-> I guess these rpmlint errors can be ignored since I suppose that it is better to install the docs for the packages, even if they are empty, than not installing them:
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-acting.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-generic.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/acting.xml


-> As in #1281664, I see in the build.log:

gap> #I  #I Composing XML document . . .
#I  #I Parsing XML document . . .
#I  #I Checking XML structure . . .
#I  #I Text version (also produces labels for hyperlinks):
#I  #I First run, collecting cross references, index, toc, bib and so on . . .
Filename( dirs, "manual.six" ) called from
HELP_BOOK_INFO( bookname ) called from
GAPDoc2TextProcs.ResolveExternalRef( r.attributes.BookName, lab, 1 
 ) called from
GAPDoc2TextProcs.(r.name)( r, str ); called from
GAPDoc2Text( a, s ); called from
...  at line 2 of *stdin*
you can 'quit;' to quit to outer loop, or
you can 'return;' to continue
Error, no method found! For debugging hints type ?Recovery from NoMethodFound
Error, no 1st choice method found for `Filename' on 2 arguments called from
brk> brk> #I  File: /builddir/build/BUILD/semigroups-2.6/../pkg/semigroups-2.6/doc/manual.lab written.
brk> gap> + rm -fr ../../doc ../pkg
+ exit 0



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-semigroups-2.6-1.fc24.noarch.rpm
          gap-pkg-semigroups-2.6-1.fc24.src.rpm
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US monoids -> mono ids, mono-ids, mongoloids
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US bipartitions -> bi partitions, bi-partitions, partitions
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US subsemigroups -> subgroups
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US congruences -> congruence, congruence's, congruence s
gap-pkg-semigroups.noarch: W: spelling-error %description -l en_US normalizer -> normalize, normalizes, normalized
gap-pkg-semigroups.noarch: W: only-non-binary-in-usr-lib
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/grpperm.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-acting.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-generic.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/acting.xml
gap-pkg-semigroups.src: W: spelling-error %description -l en_US monoids -> mono ids, mono-ids, mongoloids
gap-pkg-semigroups.src: W: spelling-error %description -l en_US bipartitions -> bi partitions, bi-partitions, partitions
gap-pkg-semigroups.src: W: spelling-error %description -l en_US subsemigroups -> subgroups
gap-pkg-semigroups.src: W: spelling-error %description -l en_US semigroup -> semi group, semi-group, semipro
gap-pkg-semigroups.src: W: spelling-error %description -l en_US congruences -> congruence, congruence's, congruence s
gap-pkg-semigroups.src: W: spelling-error %description -l en_US normalizer -> normalize, normalizes, normalized
2 packages and 0 specfiles checked; 4 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-semigroups.noarch: W: only-non-binary-in-usr-lib
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-acting.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/grpperm.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/acting.xml
gap-pkg-semigroups.noarch: E: zero-length /usr/lib/gap/pkg/semigroups/doc/greens-generic.xml
1 packages and 0 specfiles checked; 4 errors, 1 warnings.



Requires
--------
gap-pkg-semigroups (rpmlib, GLIBC filtered):
    gap-core
    gap-pkg-io
    gap-pkg-orb



Provides
--------
gap-pkg-semigroups:
    gap-pkg-semigroups



Source checksums
----------------
http://www-groups.mcs.st-andrews.ac.uk/~jamesm/semigroups/semigroups-2.6.tar.gz :
  CHECKSUM(SHA256) this package     : 38b9f04601be01e77701870d395371fedd873af392fa8f6fd985991ececce88b
  CHECKSUM(SHA256) upstream package : 38b9f04601be01e77701870d395371fedd873af392fa8f6fd985991ececce88b


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1274568
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Jerry James 2015-11-13 19:35:16 EST
Just today, I built all of the recent documentation changes in the various GAP packages for F-23.  I don't see this error on Rawhide, so my guess is that getting the updated packages for F-23 will also make the error go away, but I'll test that theory before building in koji.
Comment 3 Gwyn Ciesla 2015-11-14 14:54:27 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gap-pkg-semigroups
Comment 4 Fedora Update System 2015-11-14 19:27:03 EST
gap-pkg-semigroups-2.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-a35e24f324
Comment 5 Fedora Update System 2015-11-16 00:53:36 EST
gap-pkg-semigroups-2.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gap-pkg-semigroups'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-a35e24f324
Comment 6 Fedora Update System 2015-11-23 15:54:51 EST
gap-pkg-semigroups-2.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.